package com.cf.imes.module.executor.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 生产单明细类型
 *
 * @author Gqr
 * @since 2024/6/7 14:50
 */
@RequiredArgsConstructor
@Getter
public enum OrderItemType {

    BOARD(1, "板材"),

    PARTS(2, "五金/配件"),

    OTHER(3, "其他"),

    QUOTE_PARTS(4, "报价配件");

    /**
     * 类型编码
     */
    private final Integer code;

    /**
     * 描述
     */
    private final String desc;
}
